import { ParagraphProps } from '../../atoms/Paragraph/Paragraph';
import { TitleProps } from '../../atoms/Title/Title';
import { ButtonProps } from '../../molecules/Button/Button';
import { TextInputProps } from '../../molecules/TextInput/TextInput';
export interface ApplyForm4Props {
    titleProps?: TitleProps;
    subTitleProps?: TitleProps;
    inputProps?: TextInputProps;
    descriptionProps?: ParagraphProps;
    buttonProps?: ButtonProps;
    backgroundColor?: string;
    isMobile?: boolean;
}
declare function ApplyForm4(props: ApplyForm4Props): import("react/jsx-runtime").JSX.Element;
declare namespace ApplyForm4 {
    var defaultProps: {
        titleProps: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        subTitleProps: {
            size: string;
            content: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            highlight: {
                height: number;
                color: string;
                isVisible: boolean;
            };
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        inputProps: {
            placeholder: {
                color: string;
                text: string;
            };
            text: {
                color: string;
                size: number;
            };
            border: {
                color: string;
                hoverColor: string;
            };
            disable: {
                isDisabled: boolean;
                fillColor: string;
            };
            isActiveDeleteIcon: boolean;
            isFullWidth: boolean;
            onClearButtonClicked: (text: string) => void;
        };
        buttonProps: {
            buttonType: string;
            size: string;
            content: string;
            backgroundColor: string;
            color: string;
            border: {
                width: number;
                radius: number;
                color: any;
            };
            icon: string;
            iconPosition: string;
            isLoading: boolean;
            isDisabled: boolean;
            isFullWidth: boolean;
        };
        descriptionProps: {
            content: string;
            size: string;
            color: string;
            partialColors: string[];
            fontWeight: string;
            isMobile: boolean;
            isVisible: boolean;
            isFullWidth: boolean;
            textAlign: string;
        };
        backgroundColor: string;
        isMobile: boolean;
    };
}
export default ApplyForm4;
