import useBreakpoints from '@thebiltheory/usebreakpoints';
import { isEmpty, last } from 'lodash-es';
import theme from '../theme';

export type BreakPointValues = [any, any?, any?, any?];

const myBreakpoints = Object.values(theme['breakpoints']) as number[];
const useBreakPointValue = (props: BreakPointValues, breakpoints = myBreakpoints) => {
  if (isEmpty(props)) return null;
  const lastValue = last(props);

  const [value] = useBreakpoints(props, breakpoints);
  if (value === null || value === undefined) {
    for (let i = 2; i >= 0; i--) {
      if (props && props?.[i]) return props?.[i];
      else return lastValue;
    }
  }
  return value;
};

export default useBreakPointValue;
